Index: setup_harddisks
===================================================================
RCS file: /home/cvs/fai/scripts/setup_harddisks,v
retrieving revision 1.1
retrieving revision 1.2
diff -c -r1.1 -r1.2
*** setup_harddisks	5 Oct 2001 22:48:07 -0000	1.1
--- setup_harddisks	24 Oct 2001 21:06:03 -0000	1.2
***************
*** 1,6 ****
  #!/usr/bin/perl
  
! # $Id: setup_harddisks,v 1.1 2001/10/05 22:48:07 diane Exp $
  #*********************************************************************
  #
  # setup_harddisks -- create partitions and filesystems on harddisk
--- 1,6 ----
  #!/usr/bin/perl
  
! # $Id: setup_harddisks,v 1.2 2001/10/24 21:06:03 diane Exp $
  #*********************************************************************
  #
  # setup_harddisks -- create partitions and filesystems on harddisk
***************
*** 117,122 ****
--- 117,125 ----
  #     dosfat16     : DOS 16bit FAT file system
  #     winfat32     : Win95 FAT32 file system
  #     writable     : mounts a preserved partition writable
+ #     reiser       : reiserfs
+ #       -h <hash>  : set reiserfs hash
+ #       -v <ver>   : set reiserfs version
  #
  $| = 1;                     # flush always
  
***************
*** 133,138 ****
--- 136,142 ----
  # used programs
  $sfdisk_options = "-q";     # be quiet
  $mke2fs_options = "-q";     # be quiet
+ $mkreiserfs_options = "-q";
  $mkswap_options = "";
  
  # FAI input variables
***************
*** 435,441 ****
  		      && die "ERROR: unable to preserve partitions of size 0.\n$line\n ";
  		  } else {
  		    # If not preserve we must know the filesystemtype
! 	            ($options !~ /\b(ext2|swap|dosfat16|winfat32)\b/i ) && ($options .= " ext2");
  		  }
  		if($size =~ /^(\d*)(\-?)(\d*)$/){
  		    $Min = $1;
--- 439,445 ----
  		      && die "ERROR: unable to preserve partitions of size 0.\n$line\n ";
  		  } else {
  		    # If not preserve we must know the filesystemtype
! 	            ($options !~ /\b(ext2|swap|dosfat16|winfat32|reiser)\b/i ) && ($options .= " ext2");
  		  }
  		if($size =~ /^(\d*)(\-?)(\d*)$/){
  		    $Min = $1;
***************
*** 752,757 ****
--- 756,775 ----
  		}
  		next;
  	    }
+ 	    # Linux Reiser file system
+ 	    if ($MPOptions{$mountpoint} =~ /\breiser\b/i) {
+ 	        print "Make Reiser Filesystem:\n";
+ 	        $command = "echo y | mkreiserfs $mkreiser_options";
+ 		($MPOptions{$mountpoint} =~ /(\-h\s*\w+)\b/) && ($command .= " $1");
+ 		($MPOptions{$mountpoint} =~ /(\-v\s*\d+)\b/) && ($command .= " $1");
+ 		$command .= " /dev/$device";
+ 		print "  $command\n";
+ 		if ($test != 1){
+ 		    $result = `$command`;
+ 		    (($? >> 8) == 0) || die "\nMKREISERFS ERROR:\n $result\n";
+ 		}
+ 		next;
+ 	    }
  	    # Linux Extended 2 file system
  	    if ($MPOptions{$mountpoint} =~ /\bext2\b/i) {
  	        print "Make Extended 2 Filesystem:\n";
***************
*** 794,800 ****
  #<file sys>          <mount point>     <type>   <options>   <dump>   <pass>
  EOM
      # 1. /
!     $FileSystemTab .= BuildfstabLine("/dev/$MountpointPart{'/'}","/","ext2",$MPfstaboptions{'/'},0,1);
      # 2. swap partitions
      foreach $mountpoint (%PartMountpoint){
  	next if( $mountpoint !~ /^swap/i);
--- 812,820 ----
  #<file sys>          <mount point>     <type>   <options>   <dump>   <pass>
  EOM
      # 1. /
!     $type = "ext2";
!     ($MPOptions{'/'} =~ /\b(reiser)\b/i) && ($type = "reiserfs");
!     $FileSystemTab .= BuildfstabLine("/dev/$MountpointPart{'/'}","/",$type,$MPfstaboptions{'/'},0,1);
      # 2. swap partitions
      foreach $mountpoint (%PartMountpoint){
  	next if( $mountpoint !~ /^swap/i);
***************
*** 809,814 ****
--- 829,835 ----
  	$device = $MountpointPart{$mountpoint};
  	$type = "ext2";
  	($MPOptions{$mountpoint} =~ /\b(dosfat16|winfat32)\b/i) && ($type = "vfat");
+ 	($MPOptions{$mountpoint} =~ /\b(reiser)\b/i) && ($type = "reiserfs");
  	$FileSystemTab .= BuildfstabLine("/dev/$device",$mountpoint,$type,$MPfstaboptions{$mountpoint},0,2);
      }
      # write it
